<div class="container">
    <div class="text-center pb-3">
        <h1>Lista degli account</h1>
    </div>
    <div class="text-center mt-5" v-if="this.data === null">
        <b-spinner type="grow" variant="primary"/>
    </div>
    <div class="row justify-content-center">
<!--          TABELLA ADMINS  -->
        <div class="col-12 col-md-6 table-responsive" v-for="accountType in this.data">
            <table class="table table-striped table-hover table-bordered shadow">
                <thead>
                    <tr class="col-12">
                        <th scope="col" colspan="2" class="text-center"> {{accountType.name}} </th>
                    </tr>
                    <tr>
<!--                        <th scope="col"> ID </th>-->
                        <th scope="col" class="text-center"> Email di accesso </th>
                        <th scope="col" class="text-center"> operazioni </th>
                    </tr>
                </thead>
                <tbody>
                <tr v-for="account in accountType.accounts">
<!--                    <th scope="row"> {{account.id}} </th>-->
                    <td class="text-center" > {{account.email}} </td>
                    <td class="text-center" >
                        <b-button v-b-tooltip.hover title="Modifica" variant="outline-primary" size="sm" class="col-12 col-md-3 mr-md-1" @click="editAccount(account.id)"><i class="fas fa-user-edit"></i></b-button>
                        <b-button v-b-tooltip.hover title="Elimina account" variant="outline-danger" size="sm" class="col-12 col-md-3" @click="deleteAccount(account.id)"><i class="fas fa-trash-alt"></i></b-button>
                        <b-button v-b-tooltip.hover title="Recupera password tramite email" variant="outline-warning" size="sm" class="col-12 col-md-3 ml-md-1" @click="recoverAccountPassword(account.id)"><i class="fas fa-key"></i></b-button>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" id="add-account" class="text-center bg-success p-0">
                        <b-button size="md" class="w-100 bg-transparent border-0" @click="showCreateAccountModal( accountType.id, accountType.name )"><i class="fas fa-plus-square"></i></b-button>
                    </td>
                </tr>
                </tbody>
            </table>

            <b-tooltip triggers="hover" target="add-account">
                Aggiungi un account
            </b-tooltip>


            <b-modal id="creationModal">
                <template v-slot:modal-header>
                    <h5>Creazione account {{ newAccount.nameType }}</h5>
                </template>

                <template v-slot:default>
                    <b-row cols="1" cols-sm="1" cols-md="2" cols-lg="2" cols-xl="2">
                        <b-col>
                            <b-form-input v-model.trim="newAccount.email"
                                          autocomplete="off"
                                          type="email"
                                          class="mb-3"
                                          placeholder="Email"/>
                        </b-col>
                        <b-col>
                            <b-form-input v-model.trim="newAccount.password"
                                          autocomplete="off"
                                          type="password"
                                          class="mb-3"
                                          placeholder="Password"/>
                        </b-col>
                    </b-row>

                </template>

                <template v-slot:modal-footer>
                    <b-button variant="success" @click="createAccount()">
                        Crea
                    </b-button>
                    <b-button variant="dark" @click="$bvModal.hide('creationModal')">
                        Annulla
                    </b-button>
                </template>
            </b-modal>
        </div>
    </div>

</div>
